## mousai 0.7.9

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Mousai. One of "default" or "development".'
)

## mousai 0.7.7

=== debian/changelog ===
mousai (0.7.7-2) unstable; urgency=medium

  * d/rules: disable lto on armel/hf
  * d/salsa-ci.yml: Disable blhc
  * d/control: Fix VCS fields
  * d/p/gtk-rs-0.9.patch: Update for newer gtk-rs crates

 -- Matthias Geiger <werdahias@debian.org>  Sun, 22 Sep 2024 15:19:13 +0200

mousai (0.7.7-1) experimental; urgency=medium

  * Initial release (Closes: #1060826)

 -- Christopher Talbot <chris@talbothome.com>  Thu, 12 Sep 2024 23:16:01 +0200

=== debian/control ===
Source: mousai
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Talbot <chris@talbothome.com>,
Build-Depends:
  debhelper-compat (= 13),
  meson (>= 0.59),
  desktop-file-utils,
  cargo:native,
  rustc:native,
  libadwaita-1-dev (>= 1.6~beta-~~),
  libglib2.0-dev (>= 2.66),
  libgtk-4-dev (>= 4.13),
  libgstreamer1.0-dev (>= 1.22),
  libsoup-3.0-dev (>= 3.0),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
  librust-async-lock-3+default-dev (>= 3.1),
  librust-async-trait-0.1+default-dev (>= 0.1.58-~~),
  librust-bincode-1+default-dev,
  librust-fuzzy-matcher-0.3+default-dev (>= 0.3.7-~~),
  librust-futures-util-0.3+default-dev,
  librust-gettext-rs-0.7+default-dev,
  librust-gettext-rs-0.7+gettext-system-dev,
  librust-gsettings-macro-0.2+default-dev (>= 0.2.0-~~),
  librust-gstreamer-0.23+default-dev,
  librust-gstreamer-play-0.23+default-dev,
  librust-gtk4-0.9+default-dev,
  librust-gtk4-0.9+gnome-46-dev,
  librust-heed-0.20+default-dev,
  librust-heed-0.20+serde-bincode-dev,
  librust-indexmap-2+default-dev,
  librust-serde-1+default-dev,
  librust-libadwaita-0.7+default-dev,
  librust-libadwaita-0.7+v1-6-dev,
  librust-mpris-server-0.8+default-dev,
  librust-once-cell-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-soup3-0.7+default-dev,
  librust-strum-0.26+default-dev,
  librust-strum-0.26+derive-dev,
  librust-tempfile-3+default-dev,
  librust-tracing-0.1+default-dev (>= 0.1.36-~~),
  librust-tracing-subscriber-0.3+default-dev (>= 0.3.15-~~)
Standards-Version: 4.7.0
Homepage: https://github.com/SeaDve/Mousai
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/mousai
Vcs-Git: https://salsa.debian.org/gnome-team/mousai.git

Package: mousai
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Identify songs in seconds
 Mousai is a simple application that can recognize songs similar to Shazam.
 Just click the listen button, and then wait a few seconds. It will
 magically return the title and artist of that song!
 .
 Mousai is a GNOME Circle app.

## mousai 0.7.8

=== debian/changelog ===
mousai (0.7.8-3) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to fix build failures with rust-libadwaita 0.7.2
    (Closes: #1101634)
  * Update Build-Depends
  * Add Build-Depends: libxml2-utils for xmllint

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 09:11:32 -0400

mousai (0.7.8-2) unstable; urgency=medium

  * Team upload
  * Drop heed patches since 0.20 is now available
  * d/p/relax-imdexmap: refresh

 -- Matthias Geiger <werdahias@debian.org>  Fri, 11 Oct 2024 17:50:36 +0200

mousai (0.7.8-1) unstable; urgency=medium

  * Team upload 
  * New upstream release
  * Drop gtk-rs-0.9.patch; applied in new upstream release
  * Add patch to allow prerelease version of heed
  * Add patch to relax indexmap dependency
  * Drop duplicate entry in d/control
  * d/u/metadata: Fix Repository urls

 -- Matthias Geiger <werdahias@debian.org>  Thu, 03 Oct 2024 13:20:29 +0200

mousai (0.7.7-3) unstable; urgency=medium

  * Mention non-free API in package description (Closes: #1082608)

 -- Matthias Geiger <werdahias@debian.org>  Mon, 23 Sep 2024 23:27:26 +0200

=== debian/control ===
Source: mousai
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Chris Talbot <chris@talbothome.com>
Build-Depends:
 debhelper-compat (= 13),
 cargo:native,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.6~beta-~~),
 libglib2.0-dev (>= 2.66),
 libgstreamer1.0-dev (>= 1.22),
 libgtk-4-dev (>= 4.13),
 librust-anyhow-1+default-dev,
 librust-async-lock-3+default-dev (>= 3.1-~~),
 librust-async-trait-0.1+default-dev (>= 0.1.58-~~),
 librust-fuzzy-matcher-0.3+default-dev (>= 0.3.7-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gsettings-macro-0.2+default-dev,
 librust-gstreamer-0.23+default-dev,
 librust-gstreamer-play-0.23+default-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-46-dev,
 librust-heed-0.20+default-dev (>= 0.20.5-~~),
 librust-heed-0.20+serde-bincode-dev (>= 0.20.5-~~),
 librust-indexmap-2+default-dev (>= 2.4-~~),
 librust-indexmap-2+serde-dev (>= 2.4-~~),
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-6-dev,
 librust-mpris-server-0.8+default-dev (>= 0.8.1-~~),
 librust-once-cell-1+default-dev (>= 1.8.0-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-soup3-0.7+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-0.26+derive-dev,
 librust-tracing-0.1+default-dev (>= 0.1.36-~~),
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.15-~~),
 libsoup-3.0-dev (>= 3.0),
 libstd-rust-dev,
 libxml2-utils,
 meson (>= 0.59),
 rustc:native
Standards-Version: 4.7.0
Homepage: https://github.com/SeaDve/Mousai
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/mousai
Vcs-Git: https://salsa.debian.org/gnome-team/mousai.git

Package: mousai
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Identify songs in seconds
 Mousai is a simple application that can recognize songs similar to Shazam.
 Just click the listen button, and then wait a few seconds. It will
 magically return the title and artist of that song!
 .
 Note that mousai connects to a non-free API (audd.io) to query the songs.
 .
 Mousai is a GNOME Circle app.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Mousai-$1\.tar\.gz/ \
  https://github.com/SeaDve/Mousai/tags .*/v?(\d\S*)\.tar\.gz

## mousai 0.7.9

=== debian/changelog ===
mousai (0.7.9-5) unstable; urgency=medium

  * Team upload
  * Generate Static-Built-Using
  * Salsa CI: Remove explicit disabling of reprotest
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 20:42:09 -0500

mousai (0.7.9-4) unstable; urgency=medium

  * Team upload
  * Remove patch avoiding rustc 1.88
  * Update Build-Depends
  * Remove debian/watch and use upstream metadata instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 17:24:06 -0400

mousai (0.7.9-3) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bícha ]
  * Salsa CI: disable reprotest.
    Many Rust apps have reproducibility issues

  [ Arnaud Ferraris ]
  * debian: update rust-heed build-dependency to 0.22

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 01 Oct 2025 11:17:31 +0200

mousai (0.7.9-2) unstable; urgency=medium

  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 06:38:01 -0400

mousai (0.7.9-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Convert to debian/watch format 5
  * Remove 2 patches that are no longer needed
  * Add patch to relax some Rust dependencies
  * Add patch to revert changes that require rustc 1.88
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 19:25:55 -0400

mousai (0.7.8-4) unstable; urgency=medium

  * Team upload
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 16:08:55 -0400

=== debian/control ===
Source: mousai
Section: misc
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Chris Talbot <chris@talbothome.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.6~beta-~~),
 libglib2.0-dev (>= 2.66),
 libgstreamer1.0-dev (>= 1.22),
 libgtk-4-dev (>= 4.13),
 librust-anyhow-1+default-dev,
 librust-async-lock-3+default-dev (>= 3.1-~~),
 librust-async-trait-0.1+default-dev,
 librust-fuzzy-matcher-0.3+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gsettings-macro-0.2+default-dev,
 librust-gstreamer-0.24+default-dev,
 librust-gstreamer-play-0.24+default-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+gnome-48-dev,
 librust-heed-0.22+default-dev,
 librust-heed-0.22+serde-bincode-dev,
 librust-indexmap-2+default-dev (>= 2.7-~~),
 librust-indexmap-2+serde-dev (>= 2.7-~~),
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-6-dev,
 librust-mpris-server-0.8+default-dev,
 librust-once-cell-1+default-dev (>= 1.8-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-soup3-0.8+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-0.26+derive-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 libsoup-3.0-dev (>= 3.0),
 libstd-rust-dev,
 libxml2-utils,
 meson (>= 0.59),
 rustc:native (>= 1.88)
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Mousai/
Vcs-Browser: https://salsa.debian.org/gnome-team/mousai
Vcs-Git: https://salsa.debian.org/gnome-team/mousai.git

Package: mousai
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Identify songs in seconds
 Mousai is a simple application that can recognize songs similar to Shazam.
 Just click the listen button, and then wait a few seconds. It will
 magically return the title and artist of that song!
 .
 Note that mousai connects to a non-free API (audd.io) to query the songs.
 .
 Mousai is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

# Disable lto on armel/hf since it OOMs otherwise
# Using this hack for now because of a bug in dh-cargo
execute_before_dh_auto_configure:
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
	sed -i "s/lto = true/lto = false/" $(CURDIR)/Cargo.toml
endif


override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- -Dhost_arch="$(DEB_HOST_RUST_TYPE)"

# Generate (Static-)Built-Using
# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
	/usr/share/cargo/bin/dh-cargo-built-using mousai
